<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>about-gists</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="creating-gists---github-docs">Creating gists - GitHub Docs</h1>
    <blockquote>
      <p>
        You can create two kinds of gists: public and secret. Create a public
        gist if you’re ready to share your ideas with the world or a secret gist
        if you’re not.
      </p>
    </blockquote>
    <p>
      You can create two kinds of gists: public and secret. Create a public gist
      if you’re ready to share your ideas with the world or a secret gist if
      you’re not.
    </p>
    <h3 id="about-gists"><a href="#about-gists">About gists</a></h3>
    <p>
      Every gist is a Git repository, which means that it can be forked and
      cloned. If you are signed in to GitHub when you create a gist, the gist
      will be associated with your account and you will see it in your list of
      gists when you navigate to your
      <a href="https://gist.github.com/">gist home page</a>.
    </p>
    <p>
      Gists can be public or secret. Public gists show up in
      <a href="https://gist.github.com/discover">Discover</a>, where people can
      browse new gists as they’re created. They’re also searchable, so you can
      use them if you’d like other people to find and see your work.
    </p>
    <p>
      Secret gists don’t show up in
      <a href="https://gist.github.com/discover">Discover</a> and are not
      searchable. Secret gists aren’t private. If you send the URL of a secret
      gist to a friend , they’ll be able to see it. However, if someone you
      don’t know discovers the URL, they’ll also be able to see your gist. If
      you need to keep your code away from prying eyes, you may want to
      <a
        href="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/en/articles/creating-a-new-repository"
        >create a private repository</a
      >
      instead.
    </p>
    <p>After creating a gist, you cannot convert it from public to secret.</p>
    <p>You’ll receive a notification when:</p>
    <ul>
      <li>Someone mentions you in a gist.</li>
      <li>
        You subscribe to a gist, by clicking <strong>Subscribe</strong> at the
        top of any gist.
      </li>
    </ul>
    <p>
      You can pin gists to your profile so other people can see them easily. For
      more information, see “<a
        href="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/en/articles/pinning-items-to-your-profile"
        >Pinning items to your profile</a
      >.”
    </p>
    <p>
      You can discover public gists others have created by going to the
      <a href="https://gist.github.com/">gist home page</a> and clicking
      <strong>All Gists</strong>. This will take you to a page of all gists
      sorted and displayed by time of creation or update. You can also search
      gists by language with
      <a href="https://gist.github.com/search">Gist Search</a>. Gist search uses
      the same search syntax as
      <a
        href="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/en/articles/searching-code"
        >code search</a
      >.
    </p>
    <p>
      Since gists are Git repositories, you can view their full commit history,
      complete with diffs. You can also fork or clone gists. For more
      information, see
      <a
        href="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/en/articles/forking-and-cloning-gists"
        >“Forking and cloning gists”</a
      >.
    </p>
    <p>
      You can download a ZIP file of a gist by clicking the
      <strong>Download ZIP</strong> button at the top of the gist. You can embed
      a gist in any text field that supports Javascript, such as a blog post. To
      get the embed code, click the clipboard icon next to the
      <strong>Embed</strong> URL of a gist. To embed a specific gist file,
      append the <strong>Embed</strong> URL with <code>?file=FILENAME</code>.
    </p>
    <p>
      Gist supports mapping GeoJSON files. These maps are displayed in embedded
      gists, so you can easily share and embed maps. For more information, see
      “<a
        href="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/en/articles/mapping-geojson-files-on-github"
        >Mapping GeoJSON files on GitHub</a
      >.”
    </p>
    <h3 id="creating-a-gist"><a href="#creating-a-gist">Creating a gist</a></h3>
    <p>Follow the steps below to create a gist.</p>
    <p>
      You can also create a gist using the GitHub CLI. For more information, see
      “<a href="https://cli.github.com/manual/gh_gist_create"
        ><code>gh gist create</code></a
      >” in the GitHub CLI documentation.
    </p>
    <p>
      Alternatively, you can drag and drop a text file from your desktop
      directly into the editor.
    </p>
    <ol type="1">
      <li>Sign in to GitHub.</li>
      <li>
        Navigate to your <a href="https://gist.github.com/">gist home page</a>.
      </li>
      <li>
        Type an optional description and name for your gist.
        <img
          src="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/assets/images/help/gist/gist_name_description.png"
          alt="Gist name description"
        />
      </li>
      <li>
        Type the text of your gist into the gist text box.
        <img
          src="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/assets/images/help/gist/gist_text_box.png"
          alt="Gist text box"
        />
      </li>
      <li>
        Optionally, to create a public gist, click , then click
        <strong>Create public gist</strong>.
        <img
          src="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/assets/images/help/gist/gist-visibility-drop-down.png"
          alt="Drop-down menu to select gist visibility"
        />
      </li>
      <li>
        Click <strong>Create secret Gist</strong> or
        <strong>Create public gist</strong>.
        <img
          src="chrome-extension://cjedbglnccaioiolemnfhjncicchinao/assets/images/help/gist/create-secret-gist-button.png"
          alt="Button to create gist"
        />
      </li>
    </ol>
    <p>
      <a
        href="https://docs.github.com/en/github/writing-on-github/editing-and-sharing-content-with-gists/creating-gists#about-gists"
        >Source</a
      >
    </p>
  </body>
</html>
